<?php 
require_once "header.php"; 
require_once "scripts/chart.php";
$data = null;
try {
  $json = file_get_contents($jsonurl.'telist'); 
  $data = json_decode($json,true);
} catch (Exception $e) { 
  echo $e->getMessage();
}
if (!$data) {
  echo "No information available...";
} else {
	echo '<div class="onecolumn">';
	$thermometers =  $data['response'];
	if(!empty($thermometers)) {
		foreach($thermometers as $thermometer){
			${'thermometerid'.$thermometer['id']} = $thermometer['id'];
			${'thermometernaam'.$thermometer['id']} = $thermometer['name'];
		}
	}
	if(isset($_POST['limit'])) { $limit = $_POST['limit']; } else { $limit = 72;}
	if(isset($_POST['sensor'])) { $sensor = $_POST['sensor']; $sensornaam = ${'thermometernaam'.$_POST['sensor']};} else { $sensor = 1;}
	if(isset($_POST['filter'])) { 
		$filter = $_POST['filter'];
		$sql = "SELECT id_sensor, name FROM sensors WHERE name like '$filter' AND type like 'temp'";
		if(!$result = $db->query($sql)){ echo('There was an error running the query [' . $db->error . ']');}
		$row = $result->fetch_assoc();
		$sensor = $row['id_sensor'];
		$sensornaam = $row['name'];
		$result->free();
	}
	
	echo '</div><div class="threecolumn"><br/>
	<form method="post" name="filter" id="filter">';
	echo '<select name="limit" class="abutton settings gradient" onChange="this.form.submit()" style="max-width:90px;">';
	echo '<option selected>'.$limit.'</option>';
	echo '<option value="24">24 - 1 Dag</option>
	<option value="48">48 - 2 Dagen</option>
	<option value="72">72 - 3 Dagen</option>
	<option value="96">96 - 4 Dagen</option>
	<option value="168">168 - 1 Week</option>
	<option value="336">336 - 2 Weken</option>
	<option value="744">744 - 1 Maand</option>
	<option value="2000">2000</option>
	<option value="10000">10000</option>
	</select>';
	if(!empty($thermometers) && $authenticated==true) {
		echo '<select name="sensor" class="abutton settings gradient" onChange="this.form.submit()" style="max-width:200px;">';
		if($sensornaam) {
			echo '<option value="'.$sensor.'" selected>'.$sensor.' - '.$sensornaam.'</option>';
		} else {
			echo '<option value="'.${'thermometerid'.$defaultthermometer}.'" selected>'.${'thermometerid'.$defaultthermometer}.' - '.${'thermometernaam'.$defaultthermometer}.'</option>';
		}
		foreach($thermometers as $thermometer){
			echo '<option value="'.$thermometer['id'].'">'.$thermometer['id'].' - '.$thermometer['name'].'</option>';
		}
		echo '
		</select>
		';
	}
	echo '</form>';
	
	$sql = "SELECT timestamp, te, hu FROM temperature WHERE id_sensor = $sensor ORDER BY timestamp DESC LIMIT 0,$limit";
	if(!$result = $db->query($sql)){ echo('There was an error running the query [' . $db->error . ']');}
	while($row = $result->fetch_assoc()){
		$times[] = $row;
	}
	$result->free();
	$timeschart = array_reverse($times);
	$sql = "SELECT date, min, max FROM temp_day WHERE id_sensor = $sensor ORDER BY date DESC LIMIT 0,$limit";
	if(!$result = $db->query($sql)){ echo('There was an error running the query [' . $db->error . ']');}
	while($row = $result->fetch_assoc()){
		$dagen[] = $row;
	}
	$result->free();
	$dagenchart = array_reverse($dagen);
	$sql = "SELECT left(date,7) AS date, min(min) as min, max(max) as max FROM temp_day WHERE id_sensor = $sensor GROUP BY left(date,7) ORDER BY date DESC LIMIT 0,$limit";
	if(!$result = $db->query($sql)){ echo('There was an error running the query [' . $db->error . ']');}
	while($row = $result->fetch_assoc()){
		$maanden[] = $row;
	}
	$result->free();
	$maandenchart = array_reverse($maanden);
		
		//GRAPHS
		//Nieuwe array voor times om vochtigheid eruit te halen.
		foreach ($timeschart as $i => $item) {
 		   foreach ($item as $key => $value) {
    	    if (!in_array($key,array('timestamp','te'))) { unset($timeschart[$i][$key]); }
    		}
		}
	echo '<div class="isotope">';
	echo '<div class="item temprain gradient"><h2>Laatste '.$limit.' uur</h2>';
	$args = array('chart'=>'AreaChart','width'=>295,'height'=>200,'hide_legend'=>true,'responsive'=>true,'background_color'=>'#E5E5E5','chart_div'=>'times','margins'=>array(30,10,15,35),);
	$chart = array_to_chart($timeschart,$args);
	echo $chart['script'];
	echo $chart['div'];
	echo '<table id="table" align="center"><thead><tr><th></th><th>Temp</th><th>Rel Voch</th></tr></thead><tbody>';
	foreach($times as $time) {
		echo '<tr>
		<td>'.strftime("%a %e %b %H:%M",strtotime($time['timestamp'])).'&nbsp;</td>
		<td class style="text-align: right;">&nbsp;'.number_format($time['te'],1).' °C&nbsp;</td>
		<td class style="text-align: right;">&nbsp;'.$time['hu'].' %&nbsp;</td>
		</tr>';
	}
	echo "</tbody></table></div>";
	echo "<div class='item temprain gradient'><h2>Laatste ".$limit." dagen</h2>";
	$args = array('chart'=>'AreaChart','width'=>295,'height'=>200,'hide_legend'=>true,'responsive'=>true,'background_color'=>'#E5E5E5','chart_div'=>'dagen','margins'=>array(30,10,15,35),);
	$chart = array_to_chart($dagenchart,$args);
	echo $chart['script'];
	echo $chart['div'];
	echo '<table id="table_day" align="center"><thead><tr><th></th><th>Min</th><th>Max</th></tr></thead><tbody>';
	foreach($dagen as $dag) {
		echo '<tr>
		<td class style="text-align: right;">'.strftime("%a %e %b",strtotime($dag['date'])).'&nbsp;</td>
		<td class style="text-align: right;">&nbsp;'.number_format($dag['min'],1).' °C&nbsp;</td>
		<td class style="text-align: right;">&nbsp;'.number_format($dag['max'],1).' °C&nbsp;</td>
		</tr>';
	}
	echo "</tbody></table></div>";
	echo "<div class='item temprain gradient'><h2>Laatste ".$limit." maanden</h2>";
	$args = array('chart'=>'AreaChart','width'=>295,'height'=>200,'hide_legend'=>true,'responsive'=>true,'background_color'=>'#E5E5E5','chart_div'=>'maanden','margins'=>array(30,10,15,35),);
	$chart = array_to_chart($maandenchart,$args);
	echo $chart['script'];
	echo $chart['div'];
	echo '<table id="table_day" align="center"><thead><tr><th></th><th>Min</th><th>Max</th></tr></thead><tbody>';
	
	foreach($maanden as $maand) {
		echo '<tr>
		<td class style="text-align: right;">'.strftime("%B %Y",strtotime($maand['date'])).'&nbsp;</td>
		<td class style="text-align: right;">&nbsp;'.number_format($maand['min'],1).' °C&nbsp;</td>
		<td class style="text-align: right;">&nbsp;'.number_format($maand['max'],1).' °C&nbsp;</td>
		</tr>';
	}
}
echo "</tbody></table></div></div></div>";
require_once "footer.php";