<?php 
require_once "header.php";
if($authenticated==true) {
	require_once "scripts/chart.php";
	if(isset($_POST['limit'])) { $limit = $_POST['limit']; } else { $limit = 30;}
	$sql = "SELECT datum, elecd, elecn, zon, gas, water FROM verbruik ORDER BY datum DESC LIMIT 0,$limit";
	if(!$result = $db->query($sql)){ die('There was an error running the 1 st query [' . $db->error . ']');}
	while($row = $result->fetch_assoc()){
		$dagen[] = $row;
	}
	$result->free();
	$dagen = array_reverse($dagen);
	$elecdtemp = 0;
	$elecntemp = 0;
	$zontemp = 0;
	$gastemp = 0;
	$watertemp = 0;
	$datumtemp = 0;
	$verbruikelek = array();
	$verbruikgas = array();
	$verbruikwater = array();
	foreach($dagen as $dag) {
		$periode = (strtotime($dag['datum'])-$datumtemp)/86400;
		$verbruikd = number_format(($dag['elecd'] - $elecdtemp)/$periode,2);
		$verbruikn = number_format(($dag['elecn'] - $elecntemp)/$periode,2);
		$verbruikz = number_format(($dag['zon'] - $zontemp)/$periode, 2);
		$verbruikg = number_format(($dag['gas'] - $gastemp)/$periode, 2);
		$verbruikw = number_format(($dag['water'] - $watertemp)/$periode, 2);
		$verbruik = number_format($verbruikd+$verbruikn+$verbruikz, 2);
		array_push($verbruikelek, array('datum' => $dag['datum'], 'dag' => $verbruikd, 'nacht' => $verbruikn, 'zon' => $verbruikz, 'verbruik' => $verbruik, 'periode' => $periode));
		array_push($verbruikgas, array('datum' => $dag['datum'], 'gas' => $verbruikg, 'periode' => $periode));
		array_push($verbruikwater, array('datum' => $dag['datum'], 'water' => $verbruikw, 'periode' => $periode));
		$elecdtemp = $dag['elecd'];
		$elecntemp = $dag['elecn'];
		$zontemp = $dag['zon'];
		$gastemp = $dag['gas'];
		$watertemp = $dag['water'];
		$datumtemp = strtotime($dag['datum']);
	}
	$verbruikelekchart = $verbruikelek;
	foreach ($verbruikelekchart as $i => $item) {
 		foreach ($item as $key => $value) {
    	    if (in_array($key,array('periode'))) { unset($verbruikelekchart[$i][$key]); }
    	}
	}
	$verbruikgaschart = $verbruikgas;
	foreach ($verbruikgaschart as $i => $item) {
 		foreach ($item as $key => $value) {
    	    if (in_array($key,array('periode'))) { unset($verbruikgaschart[$i][$key]); }
    	}
	}
	$verbruikwaterchart = $verbruikwater;
	foreach ($verbruikwaterchart as $i => $item) {
 		foreach ($item as $key => $value) {
    	    if (in_array($key,array('periode'))) { unset($verbruikwaterchart[$i][$key]); }
    	}
	}
	
	echo '<div class="twocolumn">
	<form method="post" name="filter" id="filter">
	<select name="limit" class="abutton settings gradient" onChange="this.form.submit()">';
	if(isset($_POST['limit'])) print '<option selected>'.$_POST['limit'].'</option>';
	print '<option>30</option>
	<option>50</option>
	<option>100</option>
	<option>500</option>
	<option>1000</option>
	<option>5000</option>
	<option>10000</option>
	<option>50000</option>
	<option>100000</option>
	</select>
	</form>
	<div class="isotope">';
	
	echo '<div class="item wide gradient"><br/>';
	$args = array('chart'=>'ComboChart','title'=>'Electriciteit','width'=>502,'height'=>300,'legend_position'=>'top','responsive'=>true,'background_color'=>'#E5E5E5','chart_div'=>'Electriciteit','margins'=>array(45,15,50,50),'seriesType'=>'bars','series'=>array('1'=>'curveType: function'));
	$chart = array_to_chart($verbruikelekchart,$args);
	echo $chart['script'];
	echo $chart['div'];
	$args = array('chart'=>'ComboChart','title'=>'Gas','width'=>502,'height'=>300,'legend_position'=>'top','responsive'=>true,'background_color'=>'#E5E5E5','chart_div'=>'Gas','margins'=>array(45,15,50,50),'seriesType'=>'bars','series'=>array('1'=>'curveType: function'));
	$chart = array_to_chart($verbruikgaschart,$args);
	echo $chart['script'];
	echo $chart['div'];
	$args = array('chart'=>'ComboChart','title'=>'Water','width'=>502,'height'=>300,'legend_position'=>'top','responsive'=>true,'background_color'=>'#E5E5E5','chart_div'=>'Water','margins'=>array(45,15,50,50),'seriesType'=>'bars','series'=>array('1'=>'curveType: function'));
	$chart = array_to_chart($verbruikwaterchart,$args);
	echo $chart['script'];
	echo $chart['div'];
	echo '</div>';
	echo '<div class="item wide gradient"><br/><h2>Electriciteit</h2>';
	echo '<table id="table" align="center"><thead><tr><th>Datum</th><th>periode</th><th>dag</th><th>nacht</th><th>zon</th><th>verbruik</th></tr></thead><tbody>';
	foreach($verbruikelek as $elek) {
		echo '<tr>
		<td align="right" style="padding-right:10px">'.strftime("%e %b %Y",strtotime($elek['datum'])).'</td>
		<td align="right" style="padding-right:10px">'.round($elek['periode'],0).'</td>
		<td align="right" style="padding-right:10px">'.$elek['dag'].'</td>
		<td align="right" style="padding-right:10px">'.$elek['nacht'].'</td>
		<td align="right" style="padding-right:10px">'.$elek['zon'].'</td>
		<td align="right" style="padding-right:10px">'.$elek['verbruik'].'</td>
		</tr>';
	}
	echo '</tbody></table>
	<a href="verbruikedit.php" class="abutton gradient handje">Bewerken</a></div>';
	echo '<div class="item wide gradient"><br/><h2>Gas</h2>';
	echo '<table id="table" align="center"><thead><tr><th>Datum</th><th>periode</th><th>gas</th></tr></thead><tbody>';
	foreach($verbruikgas as $gas) {
		echo '<tr>
		<td align="right" style="padding-right:10px">'.strftime("%e %b %Y",strtotime($gas['datum'])).'</td>
		<td align="right" style="padding-right:10px">'.round($gas['periode'],0).'</td>
		<td align="right" style="padding-right:10px">'.$gas['gas'].'</td>
		</tr>';
	}
	echo '</tbody></table>
	<a href="verbruikedit.php" class="abutton gradient handje">Bewerken</a></div>';
	echo '<div class="item wide gradient"><br/><h2>Water</h2>';
	echo '<table id="table" align="center"><thead><tr><th>Datum</th><th>periode</th><th>water</th></tr></thead><tbody>';
	foreach($verbruikwater as $water) {
		echo '<tr>
		<td align="right" style="padding-right:10px">'.strftime("%e %b %Y",strtotime($water['datum'])).'</td>
		<td align="right" style="padding-right:10px">'.round($water['periode'],0).'</td>
		<td align="right" style="padding-right:10px">'.$water['water'].'</td>
		</tr>';
	}
	echo '</tbody></table>
	<a href="verbruikedit.php" class="abutton gradient handje">Bewerken</a></div>';
	
	echo '</div></div>';
}
require_once "footer.php";